import { Props as Props$1 } from 'react-select';

declare type ICustomTimezone = {
    [key: string]: string;
};
declare type ILabelStyle = 'original' | 'altName' | 'abbrev';
interface ITimezoneOption {
    value: string;
    label: string;
    abbrev?: string;
    altName?: string;
    offset?: number;
}
declare type ITimezone = ITimezoneOption | string;
interface Props extends Omit<Props$1<ITimezone, false>, 'onChange'> {
    value: ITimezone;
    labelStyle?: ILabelStyle;
    onChange?: (timezone: ITimezoneOption) => void;
    timezones?: ICustomTimezone;
    maxAbbrLength?: number;
}

declare const allTimezones: ICustomTimezone;

declare const TimezoneSelect: ({ value, onBlur, onChange, labelStyle, timezones, maxAbbrLength, ...props }: Props) => JSX.Element;

export { ILabelStyle, ITimezone, ITimezoneOption, Props, allTimezones, TimezoneSelect as default };
